Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TextMemoryReader Class Reference

テキストメモリリーダ More...

`#include <TextMemoryReader.h>`

Inheritance diagram for Lamp::TextMemoryReader:

List of all members.

## Public Member Functions
| TextMemoryReader (const char *buffer, int size)
| コンストラクタ
virtual TextMemoryReader * | cloneTextMemoryReader ()
| テキストメモリリーダの複製
virtual TextReader * | cloneTextReader ()
| テキストリーダの複製
## Protected Member Functions
| TextMemoryReader (int bufferSize)
| コンストラクタ

## Detailed Description

テキストメモリリーダ

Definition at line 37 of file TextMemoryReader.h.

## Constructor & Destructor Documentation

Lamp::TextMemoryReader::TextMemoryReader | ( | const char * | buffer,
|  | int | size
| ) | `[inline]`

  | コンストラクタ Parameters:
  buffer | 読み込むバッファ。バッファの解放は行いません。
  size | バッファのサイズ
Definition at line 44 of file TextMemoryReader.h. References Lamp::Reader::stream_. Referenced by cloneTextMemoryReader().

Lamp::TextMemoryReader::TextMemoryReader | ( | int | bufferSize | ) | `[inline, protected]`

  | コンストラクタ Parameters:
  bufferSize | バッファサイズ
Definition at line 71 of file TextMemoryReader.h.

## Member Function Documentation

virtual TextMemoryReader* Lamp::TextMemoryReader::cloneTextMemoryReader | ( |  | ) | `[inline, virtual]`

| テキストメモリリーダの複製 Returns: 複製されたテキストメモリリーダ Definition at line 52 of file TextMemoryReader.h. References Lamp::InputStream::cloneInputStream(), Lamp::TextReader::copyTextReaderData(), Lamp::TextReader::getBufferSize(), Lamp::Reader::stream_, and TextMemoryReader(). Referenced by cloneTextReader().

virtual TextReader* Lamp::TextMemoryReader::cloneTextReader | ( |  | ) | `[inline, virtual]`

| テキストリーダの複製 Returns: 複製されたテキストリーダ Implements Lamp::TextReader. Definition at line 64 of file TextMemoryReader.h. References cloneTextMemoryReader().

The documentation for this class was generated from the following file:

- TextMemoryReader.h